/// <reference types="inquirer" />
import * as inquirer from "inquirer";
import Answers = inquirer.Answers;
import { ConfigurationService } from "nodevolution-framework";
import { LoggingServiceFactory } from "nodevolution-framework";
import { ArgumentHandlerBase } from "../../core/ArgumentHandlerBase";
import { CommandArguments } from "../../core/CommandArguments";
export declare class InitArgumentHandler extends ArgumentHandlerBase {
    private _configurationService;
    private _loggingService;
    constructor(loggingServiceFactory: LoggingServiceFactory, configurationService: ConfigurationService);
    initialize(): Promise<any>;
    prepare(args: CommandArguments): Promise<any>;
    handle(args: CommandArguments, answers: Answers): Promise<any>;
}
