/// <reference types="inquirer" />
import * as inquirer from "inquirer";
import Answers = inquirer.Answers;
import { CommandArguments } from "./CommandArguments";
export declare abstract class ArgumentHandlerBase {
    abstract initialize(): Promise<any>;
    abstract prepare(args: CommandArguments): Promise<any>;
    abstract handle(args: CommandArguments, answers: Answers): Promise<any>;
}
