export declare class CommandArguments {
    private _originalArgs;
    private _arguments;
    private _options;
    constructor(args: Array<string>);
    readonly hasArguments: boolean;
    readonly hasOptions: boolean;
    has(arg: string): boolean;
    get(arg: string): Argument;
    next(arg: Argument): Argument;
    hasOption(arg: string): boolean;
    getOption(arg: string): Option;
    private createArguments(args);
    private createOptions(args);
}
export declare class Argument {
    private _key;
    readonly key: string;
    constructor(key: string);
}
export declare class Option {
    private _key;
    private _value;
    readonly key: string;
    readonly value: string;
    constructor(key: string, value: string);
}
