"use strict";
class CommandArgumentNotSpecifiedError extends Error {
    get commandName() {
        return this._commandName;
    }
    constructor(commandName) {
        super("command argument not specified");
        this._commandName = commandName;
    }
}
exports.CommandArgumentNotSpecifiedError = CommandArgumentNotSpecifiedError;
//# sourceMappingURL=CommandArgumentNotSpecifiedError.js.map