"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
const inversify_1 = require("inversify");
const ArgumentHandlerFactory_1 = require("./ArgumentHandlerFactory");
const Command_1 = require("./Command");
const InitArgumentHandler_1 = require("./argumentHandlers/InitArgumentHandler");
let CommandModule = class CommandModule extends inversify_1.ContainerModule {
    constructor() {
        super((bind) => {
            bind("Command").to(Command_1.Command);
            bind("ArgumentHandlerFactory").to(ArgumentHandlerFactory_1.ArgumentHandlerFactory);
            bind("InitArgumentHandler").to(InitArgumentHandler_1.InitArgumentHandler);
        });
    }
};
CommandModule = __decorate([
    inversify_1.injectable(),
    __metadata("design:paramtypes", [])
], CommandModule);
exports.CommandModule = CommandModule;
//# sourceMappingURL=CommandModule.js.map