export class CommandArgumentNotSpecifiedError extends Error {
    private _commandName: string;

    public get commandName(): string {
        return this._commandName;
    }

    constructor(commandName: string) {
        super("command argument not specified");
        this._commandName = commandName;
    }

}