"use strict";
class InvalidCommandArgumentError extends Error {
    get commandName() {
        return this._commandName;
    }
    get argumentName() {
        return this._argumentName;
    }
    constructor(commandName, argumentName) {
        super("invalid command argument specified");
        this._commandName = commandName;
        this._argumentName = argumentName;
    }
}
exports.InvalidCommandArgumentError = InvalidCommandArgumentError;
//# sourceMappingURL=InvalidCommandArgumentError.js.map