export class InvalidCommandArgumentError extends Error {

    private _commandName: string;
    public get commandName(): string {
        return this._commandName;
    }

    private _argumentName: string;
    public get argumentName(): string {
        return this._argumentName;
    }

    constructor(commandName: string, argumentName: string) {
        super("invalid command argument specified");
        this._commandName = commandName;
        this._argumentName = argumentName;
    }
}